summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRick Farina <zerochaos@gentoo.org>2019-02-26 10:53:28 -0500
committerRick Farina <zerochaos@gentoo.org>2019-02-26 10:53:56 -0500
commitf59d93e542453ad98d9a5dc29f38ddad3b72eaf6 (patch)
treed018310037060b5df0e7d48529d0a65eb3c68148 /net-wireless
parentdev-libs/openssl: Removed old. (diff)
downloadgentoo-f59d93e542453ad98d9a5dc29f38ddad3b72eaf6.tar.gz
gentoo-f59d93e542453ad98d9a5dc29f38ddad3b72eaf6.tar.bz2
gentoo-f59d93e542453ad98d9a5dc29f38ddad3b72eaf6.zip
net-wireless/kismet: update live
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Rick Farina <zerochaos@gentoo.org>
Diffstat (limited to 'net-wireless')
-rw-r--r--net-wireless/kismet/kismet-9999.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/net-wireless/kismet/kismet-9999.ebuild b/net-wireless/kismet/kismet-9999.ebuild
index 2e5fd9c3d05..767c4fda063 100644
--- a/net-wireless/kismet/kismet-9999.ebuild
+++ b/net-wireless/kismet/kismet-9999.ebuild
@@ -64,9 +64,12 @@ src_prepare() {
sed -i -e 's| -s||g' \
-e 's|@mangrp@|root|g' Makefile.in
- eapply "${FILESDIR}"/fix-setuptools4.patch
eapply_user
+ #just use set to fix setup.py
+ find . -name "Makefile.in" -exec sed -i 's#setup.py install#setup.py install --root=$(DESTDIR)#' {} + || die
+ find . -name "Makefile" -exec sed -i 's#setup.py install#setup.py install --root=$(DESTDIR)#' {} + || die
+
if [ "${PV}" = "9999" ]; then
eautoreconf
fi